/fuel-pump-inventories-sales-invoices-delete-one¶
Summary¶
Source repository:
jef-systems/jef-fuel-pump-inventories-backendSource SHA:
06a517c1413d99627ecd462c7e29779b2dfd2412Source run id:
25888952968Lambda function:
jef-fuel-pump-inventories-sales-invoices-delete-oneHTTP method:
DELETEAPI path:
/fuel-pump-inventories-sales-invoices-delete-oneEndpoint URL:
https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-sales-invoices-delete-onePayload mode:
json-body
Description¶
Function: jef-fuel-pump-inventories-sales-invoices-delete-oneModule: jef-fuel-pump-inventoriesAction: delete-oneMethod: DELETEInvocation Mode: ASYNCResource Path: /fuel-pump-inventories-sales-invoices-delete-oneTable: jef-fuel-pump-inventories-sales-invoicesPrimary Key: sales_invoice_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
sales\_invoice\_id: 6691bf91-d11d-48c6-91fc-7de25b68f45b
Payload Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.sales_invoice_id.type",
"value": "S"
},
{
"key": "root.attributes.sales_invoice_id.required",
"value": "True"
},
{
"key": "root.attributes.sales_invoice_id.format",
"value": "uuidv4"
},
{
"key": "root.attributes.sales_invoice_id.regex",
"value": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
}
]
Response Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
Request Payload¶
[
{
"key": "sales_invoice_id",
"value": "6691bf91-d11d-48c6-91fc-7de25b68f45b"
}
]
Response¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
CMD curl¶
curl -X DELETE "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-sales-invoices-delete-one" -H "Content-Type: application/json" --data-raw "{\"sales_invoice_id\": \"6691bf91-d11d-48c6-91fc-7de25b68f45b\"}"
PowerShell curl¶
curl.exe -X DELETE "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-sales-invoices-delete-one" -H "Content-Type: application/json" --data-raw '{"sales_invoice_id": "6691bf91-d11d-48c6-91fc-7de25b68f45b"}'